#!/bin/bash

echo "Update apt..."
sudo apt update

echo "Installing packages..."
sudo apt install fish fail2ban bsdgames bsdgames-nonfree sl ansiweather finger cowsay fortune figlet python w3m

echo "Setting timezone..."
timedatectl set-timezone America/New_York

echo "Setting up security..."
wget https://tilde.pt/~rlafuente/files/jail.local
sudo mv jail.local /etc/fail2ban

echo "Next steps:"
echo "Edit jail.local and test fail2ban with fail2ban-server --test"
echo ""
echo "turn it on: sudo systemctl start fail2ban"
echo ""
echo "Turn off ability for root to login via ssh"
echo "edit /etc/ssh/sshd_config and turn PermitRootLogin to no"
echo ""
echo "Next add users (adduser) and set up a MOTD at /etc/motd
